"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.extendsMetadata = void 0;
function mergeMembers(children, parents) {
    const result = [...children];
    for (const parent of parents) {
        if (!!result.find(x => x.name === parent.name))
            continue;
        result.push(parent);
    }
    return result;
}
function extendsMetadata(child, parent) {
    return Object.assign(Object.assign({}, child), { methods: mergeMembers(child.methods, parent.methods), properties: mergeMembers(child.properties, parent.properties) });
}
exports.extendsMetadata = extendsMetadata;
